> For the complete documentation index, see [llms.txt](https://docs.agilefi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agilefi.org/getting-started/protocol-math/interpreting-exchange-rates.md).

# Interpreting Exchange Rates

The aToken [Exchange Rate](/atokens/exchange-rate.md) is scaled by the difference in decimals between the aToken and the underlying asset.

```javascript
const oneSTokenInUnderlying = exchangeRateCurrent / (1 * 10 ^ (18 + underlyingDecimals - aTokenDecimals))
```

Here is an example of finding the value of 1 cBAT in BAT with Web3.js JavaScript.

```javascript
const aTokenDecimals = 8; // all aTokens have 8 decimal places
const underlying = new web3.eth.Contract(erc20Abi, batAddress);
const aToken = new web3.eth.Contract(aTokenAbi, sUsdcAddress);
const underlyingDecimals = await underlying.methods.decimals().call();
const exchangeRateCurrent = await aToken.methods.exchangeRateCurrent().call();
const mantissa = 18 + parseInt(underlyingDecimals) - aTokenDecimals;
const oneSTokenInUnderlying = exchangeRateCurrent / Math.pow(10, mantissa);
console.log('1 aUSDC can be redeemed for', oneSTokenInUnderlying, 'USDC');
```

There is no underlying contract for ETH, so to do this with aBNB, set `underlyingDecimals` to 18.

To find the number of underlying tokens that can be redeemed for aTokens, multiply the number of aTokens by the above value `oneSTokenInUnderlying`.

```javascript
const underlyingTokens = aTokenAmount * oneSTokenInUnderlying
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/getting-started/protocol-math/interpreting-exchange-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
